"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const cli_framework_1 = require("@ionic/cli-framework");
const base_1 = require("./base");
class EmulateCommand extends base_1.CordovaRunCommand {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return {
                name: 'emulate',
                type: 'project',
                description: 'Emulate an Ionic project on a simulator or emulator',
                longDescription: `
Like running ${chalk_1.default.green('cordova emulate')} directly, but also watches for changes in web assets and provides live-reload functionality with the ${chalk_1.default.green('--livereload')} option.

For Android and iOS, you can setup Remote Debugging on your emulator with browser development tools: ${chalk_1.default.bold('https://ionicframework.com/docs/developer-resources/developer-tips/')}

Just like with ${chalk_1.default.green('ionic cordova build')}, you can pass additional options to the Cordova CLI using the ${chalk_1.default.green('--')} separator.
      `,
                exampleCommands: base_1.CORDOVA_BUILD_EXAMPLE_COMMANDS,
                inputs: [
                    {
                        name: 'platform',
                        description: `The platform to emulate (${['android', 'ios'].map(v => chalk_1.default.green(v)).join(', ')})`,
                        validators: [cli_framework_1.validators.required],
                    },
                ],
                options: base_1.CORDOVA_RUN_COMMAND_OPTIONS,
            };
        });
    }
}
exports.EmulateCommand = EmulateCommand;
